package cn.ezhizao.project.business.payment.mapper;

import cn.ezhizao.project.business.payment.domain.BizPayment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */
@Mapper
public interface BizPaymentMapper extends BaseMapper<BizPayment> {

    /**
    * 物理删除，根据条件删除
    * @param conditions 条件
    * @return int 执行成功的数量
    */
    Integer physicallyDelete(Map<String, Object> conditions);

    /**
    * 带条件的查询
    * @param conditions 条件
    * @return List 集合
    */
    List<BizPayment> getList(Map<String,Object> conditions);

    /**
    * 带条件的查询总数
    * @param conditions 条件
    * @return int 查询总数量
    */
    int getTotal(Map<String,Object> conditions);

    List<BizPayment> getList(BizPayment collectionCondition);

    List<BizPayment> getByIds(List<Long> ids);

    boolean removePaymentDetail(List<Long> ids);
}


